    All Examples  All WebLogic Enterprise Connectivity Examples  EJB Simpapp Example

## examples.wlec.ejb.simpapp
Class ejbSimpappServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--examples.wlec.ejb.simpapp.ejbSimpappServlet

public class ejbSimpappServlet
extends javax.servlet.http.HttpServlet

This example demonstrates how a WebLogic Servlet can connect to WebLogic Enterprise through an EJBean which then invokes an operation on a CORBA object. This servlet can either be called directly from the browser or through the ejbSimpapp.html file.

- When the user submits the form, the appropriate method on the remote object is called.
- This request goes through the ISL/ISH to the appropriate server in the WebLogic Enterprise domain.
- The server converts the string and sends it back to the EJBean which in turn sends it to the servlet.
- The servlet returns the converted string to the client browser within some generated HTML.

See Also:
  Serialized Form

Constructor Summary
`ejbSimpappServlet()`

Method Summary
`static javax.naming.Context` | `getInitialContext(java.lang.String user, java.lang.String password)` Gets an initial context.
`java.lang.String` | `getServletInfo()` Basic servlet info.
`void` | `service(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, init, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ejbSimpappServlet

    public ejbSimpappServlet()

Method Detail

### service

    public void service(javax.servlet.http.HttpServletRequest req,
                        javax.servlet.http.HttpServletResponse res)
                 throws java.io.IOException,
                        javax.servlet.ServletException

  Overrides:
    service in class javax.servlet.http.HttpServlet

### getServletInfo

    public java.lang.String getServletInfo()

  Basic servlet info.
  Overrides:
    getServletInfo in class javax.servlet.GenericServlet

### getInitialContext

    public static javax.naming.Context getInitialContext(java.lang.String user,
                                                         java.lang.String password)
                                                  throws java.lang.Exception

  Gets an initial context.
  Returns:
    Context
  Throws:
    java.lang.Exception - if there is an error in getting a Context